import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
load_balancer = client.cloud.load_balancers.get(
load_balancer_id="ac307687-31a4-4a11-a949-6bea1b2878f5",
project_id=1,
region_id=7,
)
print(load_balancer.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
loadBalancer, err := client.Cloud.LoadBalancers.Get(
context.TODO(),
"ac307687-31a4-4a11-a949-6bea1b2878f5",
cloud.LoadBalancerGetParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", loadBalancer.ID)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"admin_state_up": true,
"created_at": "2019-06-18T11:56:16+0000",
"id": "e8ab1be4-1521-4266-be69-28dad4148a30",
"name": "lbaas_test_lb",
"operating_status": "DEGRADED",
"project_id": 1337,
"provisioning_status": "ACTIVE",
"region": "Luxembourg 1",
"region_id": 7,
"tags_v2": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"additional_vips": [
{
"ip_address": "127.0.0.1",
"subnet_id": "00000000-0000-4000-8000-000000000000"
}
],
"creator_task_id": "9f3ec11e-bcd4-4fe6-924a-a4439a56ad22",
"ddos_profile": {
"fields": [
{
"base_field": 10,
"default": null,
"description": "ARK server ports. Valid port values are in range 1000-65535",
"field_type": null,
"field_value": [
45046,
45047
],
"id": 11,
"name": "ARK Ports",
"required": true,
"validation_schema": {
"items": {
"maximum": 65535,
"minimum": 1000,
"type": "integer"
},
"minItems": 1,
"type": "array"
},
"value": null
}
],
"id": 0,
"options": {
"active": true,
"bgp": true
},
"profile_template": {
"description": "test client profile template",
"fields": [
{
"default": null,
"description": "ARK server ports. Valid port values are in range 1000-65535",
"field_type": null,
"id": 11,
"name": "ARK Ports",
"required": true,
"validation_schema": {
"items": {
"maximum": 65535,
"minimum": 1000,
"type": "integer"
},
"minItems": 1,
"type": "array"
}
}
],
"id": 0,
"name": "test_client_profile_template"
},
"profile_template_description": "ARK server ports. Valid port values are in range 1000-65535",
"protocols": [
{
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
],
"site": "ED",
"status": {
"error_description": "",
"status": "Updated"
}
},
"flavor": {
"flavor_id": "1d276f53-2834-4855-9859-aa922f073055",
"flavor_name": "lb1-1-2",
"ram": 2048,
"vcpus": 1
},
"floating_ips": [
{
"created_at": "2019-06-13T13:58:12+0000",
"creator_task_id": "d1e1500b-e2be-40aa-9a4b-cc493fa1af30",
"fixed_ip_address": "192.168.10.15",
"floating_ip_address": "172.24.4.34",
"id": "c64e5db1-5f1f-43ec-a8d9-5090df85b82d",
"port_id": "ee2402d0-f0cd-4503-9b75-69be1d11c5f1",
"project_id": 1337,
"region": "Luxembourg 1",
"region_id": 7,
"router_id": "11005a33-c5ac-4c96-ab6f-8f2827cc7da6",
"status": "ACTIVE",
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"task_id": "a4eb4b29-048e-42f6-a5e1-2c18bc001c45",
"updated_at": "2019-06-13T13:58:12+0000"
}
],
"listeners": [
{
"id": "43658ea9-54bd-4807-90b1-925921c9a0d1"
}
],
"logging": {
"destination_region_id": 1,
"enabled": true,
"retention_policy": {
"period": 45
},
"topic_name": "my-log-name"
},
"preferred_connectivity": "L2",
"stats": {
"active_connections": 0,
"bytes_in": 34942398609,
"bytes_out": 304777113641,
"request_errors": 4,
"total_connections": 21095970
},
"task_id": "<string>",
"updated_at": "2019-06-18T11:57:00+0000",
"vip_address": "5.5.5.5",
"vip_fqdn": "550e8400-e29b-41d4-a716-446655440000.lb.cloud.example.com",
"vip_ip_family": "ipv4",
"vip_port_id": "4177d1ef-f1c2-4e45-a531-3e05dfa6d848",
"vrrp_ips": [
{
"ip_address": "127.0.0.1",
"role": "MASTER",
"subnet_id": "00000000-0000-4000-8000-000000000000"
}
]
}Get load balancer
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
load_balancer = client.cloud.load_balancers.get(
load_balancer_id="ac307687-31a4-4a11-a949-6bea1b2878f5",
project_id=1,
region_id=7,
)
print(load_balancer.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
loadBalancer, err := client.Cloud.LoadBalancers.Get(
context.TODO(),
"ac307687-31a4-4a11-a949-6bea1b2878f5",
cloud.LoadBalancerGetParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", loadBalancer.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
7
Load-Balancer ID
"ac307687-31a4-4a11-a949-6bea1b2878f5"
Query Parameters
Show statistics
true
false
Show Advanced DDoS protection profile, if exists
true
false
Response
OK
Administrative state of the resource. When set to true, the resource is enabled and operational. When set to false, the resource is disabled and will not process traffic. Defaults to true.
true
false
Datetime when the load balancer was created
"2019-06-18T11:56:16+0000"
Load balancer ID
"e8ab1be4-1521-4266-be69-28dad4148a30"
Load balancer name
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$"lbaas_test_lb"
Load balancer operating status
DEGRADED, DRAINING, ERROR, NO_MONITOR, OFFLINE, ONLINE Project ID
1337
Load balancer lifecycle status
ACTIVE, DELETED, ERROR, PENDING_CREATE, PENDING_DELETE, PENDING_UPDATE Region name
"Luxembourg 1"
Region ID
7
List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
Show child attributes
Show child attributes
[
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
]
List of additional IP addresses
Show child attributes
Show child attributes
Task that created this entity
"9f3ec11e-bcd4-4fe6-924a-a4439a56ad22"
Loadbalancer advanced DDoS protection profile.
Show child attributes
Show child attributes
{
"fields": [
{
"base_field": 10,
"default": null,
"description": "ARK server ports. Valid port values are in range 1000-65535",
"field_type": null,
"field_value": [45046, 45047],
"id": 11,
"name": "ARK Ports",
"required": true,
"validation_schema": {
"items": {
"maximum": 65535,
"minimum": 1000,
"type": "integer"
},
"minItems": 1,
"type": "array"
},
"value": null
}
],
"id": 0,
"options": { "active": true, "bgp": true },
"profile_template": {
"description": "test client profile template",
"fields": [
{
"default": null,
"description": "ARK server ports. Valid port values are in range 1000-65535",
"field_type": null,
"id": 11,
"name": "ARK Ports",
"required": true,
"validation_schema": {
"items": {
"maximum": 65535,
"minimum": 1000,
"type": "integer"
},
"minItems": 1,
"type": "array"
}
}
],
"id": 0,
"name": "test_client_profile_template"
},
"profile_template_description": "ARK server ports. Valid port values are in range 1000-65535",
"protocols": [
{
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
],
"site": "ED",
"status": {
"error_description": "",
"status": "Updated"
}
}
Load balancer flavor (if not default)
Show child attributes
Show child attributes
{
"flavor_id": "1d276f53-2834-4855-9859-aa922f073055",
"flavor_name": "lb1-1-2",
"ram": 2048,
"vcpus": 1
}
List of assigned floating IPs
Show child attributes
Show child attributes
Load balancer listeners
Show child attributes
Show child attributes
Logging configuration
Show child attributes
Show child attributes
{
"destination_region_id": 1,
"enabled": true,
"retention_policy": { "period": 45 },
"topic_name": "my-log-name"
}
Preferred option to establish connectivity between load balancer and its pools members
L2, L3 "L2"
"L3"
Statistics of load balancer.
Show child attributes
Show child attributes
{
"active_connections": 0,
"bytes_in": 34942398609,
"bytes_out": 304777113641,
"request_errors": 4,
"total_connections": 21095970
}
The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.
Datetime when the load balancer was last updated
"2019-06-18T11:57:00+0000"
Load balancer IP address
"5.5.5.5"
Fully qualified domain name for the load balancer VIP
"550e8400-e29b-41d4-a716-446655440000.lb.cloud.example.com"
Load balancer IP family
dual, ipv4, ipv6 "ipv4"
The ID of the Virtual IP (VIP) port.
"4177d1ef-f1c2-4e45-a531-3e05dfa6d848"
List of VRRP IP addresses
Show child attributes
Show child attributes
Was this page helpful?